WHOB(8)

NAME
whob - display whois-type information of interest to Internet operators

SYNOPSIS
whob [-h whois-server] [-g] [-AaCcfhNnOopRrstuVv] query

DESCRIPTION
whob queries various sources of whois information for data of interest to network operators and their tracing and debugging tools.

whob output is designed to be easily parsed, or better yet, its functionality can be added directly into your programs (see whois.h).

The only mandatory parameter is the target host name or IP number. Options toggle the display of more interesting data or change the sources used to obtain that data.

One key advantage of whob is its lookup of ASN information derived from the global Internet routing table itself, as opposed to relying solely on what has been registered in the RADB/IRR (see below). This data is, by default, sourced from the global pWhoIs service. See www.pwhois.org

Other options are:

-A ASN
    Display all routing advertisements transiting the respective ASN. The ASN may be supplied as the target argument, or a hostname or IP address may be supplied and whob will resolve the ASN automatically.

-a ASN
    Display all routing advertisements made by the respective Origin-AS. The Origin-AS may be supplied as the target argument, or a hostname or IP address may be supplied and whob will resolve the ASN automatically.

-P prefix
    Display all routing advertisements related to the CIDR prefix supplied by the user.

-N ASN
    Display all networks registered to the ASN supplied by the user.

-O ASN
    Display all contact information on file for the ASN supplied by the user.

-g  Disable GIGO mode. By popular request, whob takes input directly from the command line and passes it without modification to pWhoIs or whatever whois server is requested (-h). The exact output is returned without any parsing. To enable parsing and the other useful switches, disable GIGO mode by passing this (-g) option.

-R  Display the Origin-AS on record at the RADB/IRR (Routing Arbiter Database/Internet Routing Registry) in addition the the Origin-AS provided by the prefix-based whois data source.

-n  Display the network name on record with the IP network allocation registry also such as ARIN, RIPE, or APNIC.

-o  Display the organization name on file at the registrar.

-p  Display the AS-Path from the perspective of the current pwhois server. The pwhois server may automatically exclude the initial, least specific ASN received from the operator of the network to which it is connected (unless that ASN is the only/origin ASN or unless it has multiple peers). Of course, this AS-Path is subjective. If you rely on this and want AS-Paths that correspond to *your* network infrastructure, you may want to install your own pwhois server. See the (-w) option and www.pwhois.org

-t  Display the date the route was last cached by the pWhoIs server.

-u  When possible, display dates in UTC/GMT instead of local time.

-h/w host
    Change the source of prefix-based whois data from the default (pWhoIs) to any whois-compatible server of your choice (like your own).

-f file
    Read from the specified file (or from stdin if the argument is '-') and submit its contents as bulk input to pwhois. The input will be buffered accordingly and subject to the constraints of the current pwhois server. Output is written to STDOUT (which may be redirected) and will not be parsed. Additional instructions to pwhois may be placed at the beginning of the file, however they will only apply to the first buffer of pwhois input. The first (left-most) field in each line of the file must be the IP address and lines may be up to 255 characters in length.

-c  Change the source of prefix-based whois data from the default (pWhoIs) to Cymru. See www.cymru.com for more details. When used with the -f option, this switch causes whob to use Cymru whois for bulk file resolution instead of pwhois.

-r  Display the Origin-AS and prefix according to RIPE NCC RIS (see www.ripe.net/projects/ris/). When used with the -f option, this switch causes whob to use RIPE NCC riswhois for bulk file resolution instead of pwhois.

-s  Show the status of the (respective) pWhoIs server and exit(0)

-V  Display verbose/debug output. Use multiple 'V's for additional verbosity.

-v  Display this client's version information and exit(1)

-me|whoami
    Display this host's public IP address and exit(0)

AUTHORS
Victor Oppleman and Eugene Antsilevitch

REPORTING BUGS
To report bugs, send e-mail to <whob@oppleman.com>

SEE ALSO
lft(8), whois(1)

HISTORY
The whob command first appeared in 2004. This whois framework has been a component of LFT since 2002.